summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author M.Dinslage <daedra1980{at}gmail{dot}com>2010-05-13 00:59:30 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:30 +0200
commitd25248b7b834b00297a4e42df093637d1ee8b782 (patch)
treefd80e0c6a37a489ee6b2a12450dc84caf33e20e5 /misc
parente86b7fd9c4586b3a5bede62545dfe3492225d231 (diff)
downloadslackbuilds-d25248b7b834b00297a4e42df093637d1ee8b782.tar.gz
slackbuilds-d25248b7b834b00297a4e42df093637d1ee8b782.tar.xz
misc/protobuf: Added to 13.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/protobuf/README10
-rw-r--r--misc/protobuf/protobuf.SlackBuild74
-rw-r--r--misc/protobuf/protobuf.info12
-rw-r--r--misc/protobuf/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/misc/protobuf/README b/misc/protobuf/README
new file mode 100644
index 0000000000..a8bfafc650
--- /dev/null
+++ b/misc/protobuf/README
@@ -0,0 +1,10 @@
+protobuf (Google's data interchange format)
+
+Protocol buffers are a flexible, efficient, automated mechanism for
+serializing structured data, think XML, but smaller, faster, and
+simpler. You define how you want your data to be structured once,
+then you can use special generated source code to easily write and
+read your structured data to and from a variety of data streams
+and using a variety of languages. You can even update your data
+structure without breaking deployed programs that are compiled
+against the "old" format. \ No newline at end of file
diff --git a/misc/protobuf/protobuf.SlackBuild b/misc/protobuf/protobuf.SlackBuild
new file mode 100644
index 0000000000..8c76bfed48
--- /dev/null
+++ b/misc/protobuf/protobuf.SlackBuild
@@ -0,0 +1,74 @@
+#!/bin/sh
+
+# Slackware build script for protobuf
+
+# Written by M.Dinslage (daedra1980@gmail.com)
+
+PRGNAM=protobuf
+VERSION=${VERSION:-2.3.0}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGES.txt CONTRIBUTORS.txt COPYING.txt INSTALL.txt README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/protobuf/protobuf.info b/misc/protobuf/protobuf.info
new file mode 100644
index 0000000000..e6d0df2599
--- /dev/null
+++ b/misc/protobuf/protobuf.info
@@ -0,0 +1,12 @@
+PRGNAM="protobuf"
+VERSION="2.3.0"
+HOMEPAGE="http://code.google.com/p/protobuf/"
+DOWNLOAD="http://protobuf.googlecode.com/files/protobuf-2.3.0.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="f2964f636b3c67d1e9d8b90819fa8ddb"
+MD5SUM_x86_64=""
+MAINTAINER="M.Dinslage"
+EMAIL="daedra1980{at}gmail{dot}com"
+APPROVED="dsomero"
+
+
diff --git a/misc/protobuf/slack-desc b/misc/protobuf/slack-desc
new file mode 100644
index 0000000000..a2565095e1
--- /dev/null
+++ b/misc/protobuf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+protobuf: protobuf (Google's data interchange format)
+protobuf:
+protobuf: Protocol buffers are a flexible, efficient, automated mechanism for
+protobuf: serializing structured data, think XML, but smaller, faster, and
+protobuf: simpler. You define how you want your data to be structured once,
+protobuf: then you can use special generated source code to easily write and
+protobuf: read your structured data to and from a variety of data streams
+protobuf: and using a variety of languages. You can even update your data
+protobuf: structure without breaking deployed programs that are compiled
+protobuf: against the "old" format.
+protobuf: